#
# Module manifest for module 'xExchangeHelper'
#
# Generated by: DSC Community
#
# Generated on: 05-01-20
#

@{

    # Script module or binary module file associated with this manifest.
    RootModule        = 'xExchangeHelper.psm1'

    # Version number of this module.
    ModuleVersion     = '1.0.1'

    # Supported PSEditions
    # CompatiblePSEditions = @()

    # ID used to uniquely identify this module
    GUID              = '515ea6d4-34d0-4bb8-aea9-46580aefec6d'

    # Author of this module
    Author            = 'DSC Community'

    # Company or vendor of this module
    CompanyName       = 'Dsc Community'

    # Copyright statement for this module
    Copyright         = 'Copyright the DSC Community contributors. All rights reserved.'

    # Description of the functionality provided by this module
    Description       = 'Functions used by the DSC resources in xExchange.'

    # Minimum version of the Windows PowerShell engine required by this module
    # PowerShellVersion = ''

    # Name of the Windows PowerShell host required by this module
    # PowerShellHostName = ''

    # Minimum version of the Windows PowerShell host required by this module
    # PowerShellHostVersion = ''

    # Minimum version of Microsoft .NET Framework required by this module. This prerequisite is valid for the PowerShell Desktop edition only.
    # DotNetFrameworkVersion = ''

    # Minimum version of the common language runtime (CLR) required by this module. This prerequisite is valid for the PowerShell Desktop edition only.
    # CLRVersion = ''

    # Processor architecture (None, X86, Amd64) required by this module
    # ProcessorArchitecture = ''

    # Modules that must be imported into the global environment prior to importing this module
    # RequiredModules = @()

    # Assemblies that must be loaded prior to importing this module
    # RequiredAssemblies = @()

    # Script files (.ps1) that are run in the caller's environment prior to importing this module.
    # ScriptsToProcess = @()

    # Type files (.ps1xml) to be loaded when importing this module
    # TypesToProcess = @()

    # Format files (.ps1xml) to be loaded when importing this module
    # FormatsToProcess = @()

    # Modules to import as nested modules of the module specified in RootModule/ModuleToProcess
    # NestedModules = @()

    # Functions to export from this module, for best performance, do not use wildcards and do not delete the entry, use an empty array if there are no functions to export.
    FunctionsToExport = @(
        'Get-ExistingRemoteExchangeSession',
        'Get-RemoteExchangeSession',
        'New-RemoteExchangeSession',
        'Import-RemoteExchangeModule',
        'Remove-RemoteExchangeSession',
        'Remove-RemoteExchangeModule',
        'Test-ExchangePresent',
        'Get-ExchangeVersionYear',
        'Get-ExchangeUninstallKey'
        'Get-DetailedInstalledVersion', 'Test-ExchangeSetupComplete',
        'Test-ExchangeSetupPartiallyCompleted',
        'Get-SetupExeVersion',
        'Test-ShouldUpgradeExchange',
        'Get-ExchangeInstallStatus',
        'Set-WSManConfigStatus',
        'Test-ShouldInstallUMLanguagePack',
        'Test-ExchangeSetupRunning',
        'Compare-StringToString',
        'Compare-BoolToBool',
        'Compare-TimespanToString',
        'Compare-ByteQuantifiedSizeToString',
        'Compare-UnlimitedToString',
        'Compare-ADObjectIdToSmtpAddressString',
        'Convert-StringToArray',
        'Convert-StringArrayToLowerCase',
        'Compare-ArrayContent',
        'Test-ArrayElementsInSecondArray',
        'Add-ToPSBoundParametersFromHashtable',
        'Remove-FromPSBoundParametersUsingHashtable',
        'Remove-NotApplicableParamsForVersion',
        'Set-EmptyStringParamsToNull',
        'Test-ExchangeSetting',
        'Write-InvalidSettingVerbose',
        'Write-FunctionEntry',
        'Start-ExchangeScheduledTask',
        'Test-CmdletHasParameter',
        'Get-PreviousError',
        'Assert-NoNewError',
        'Restart-ExistingAppPool',
        'Test-UMLanguagePackInstalled',
        'Compare-IPAddressToString',
        'Compare-SmtpAddressToString',
        'Compare-IPAddressesToArray',
        'Compare-PSCredential',
        'Test-ExtendedProtectionSPNList',
        'Assert-IsSupportedWithExchangeVersion',
        'Invoke-DotSourcedScript',
        'Remove-HelperSnapin',
        'Wait-ForProcessStart',
        'Wait-ForProcessStop',
        'Assert-ExchangeSetupArgumentsComplete',
        'Get-StringFromHashtable',
        'Get-DomainDNFromFQDN',
        'Set-DSCMachineStatus',
        'Test-ExtendedRightsPresent',
        'Test-ExtendedRights',
        'Get-ADExtendedPermissions',
        'Set-ADExtendedPermissions'
    )

    # Cmdlets to export from this module, for best performance, do not use wildcards and do not delete the entry, use an empty array if there are no cmdlets to export.
    CmdletsToExport   = @()

    # Variables to export from this module
    VariablesToExport = '*'

    # Aliases to export from this module, for best performance, do not use wildcards and do not delete the entry, use an empty array if there are no aliases to export.
    AliasesToExport   = @()

    # DSC resources to export from this module
    # DscResourcesToExport = @()

    # List of all modules packaged with this module
    # ModuleList = @()

    # List of all files packaged with this module
    # FileList = @()

    # Private data to pass to the module specified in RootModule/ModuleToProcess. This may also contain a PSData hashtable with additional module metadata used by PowerShell.
    PrivateData       = @{

        PSData = @{

            # Tags applied to this module. These help with module discovery in online galleries.
            # Tags = @()

            # A URL to the license for this module.
            # LicenseUri = ''

            # A URL to the main website for this project.
            # ProjectUri = ''

            # A URL to an icon representing this module.
            # IconUri = ''

            # ReleaseNotes of this module
            # ReleaseNotes = ''

        } # End of PSData hashtable

    } # End of PrivateData hashtable

    # HelpInfo URI of this module
    # HelpInfoURI = ''

    # Default prefix for commands exported from this module. Override the default prefix using Import-Module -Prefix.
    # DefaultCommandPrefix = ''

}

